> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vambe.me/llms.txt
> Use this file to discover all available pages before exploring further.

# Get DNS records for a channel

> Returns the CNAME / TXT / MX records that must be added to your DNS provider to validate the domain.



## OpenAPI

````yaml /openapi.json get /api/public/email-channel/dns-records/{id}
openapi: 3.0.0
info:
  title: Vambe AI API
  description: Vambe AI documentation
  version: '1.0'
  contact: {}
servers:
  - url: https://api.vambe.me
    description: Production Server
security: []
tags:
  - name: Vambe AI
    description: ''
paths:
  /api/public/email-channel/dns-records/{id}:
    get:
      tags:
        - email-channel
      summary: Get DNS records for a channel
      description: >-
        Returns the CNAME / TXT / MX records that must be added to your DNS
        provider to validate the domain.
      operationId: PublicEmailChannelController_getDnsRecords
      parameters:
        - name: x-api-key
          in: header
          description: API key needed to authorize the request
          required: true
          schema:
            type: string
        - name: id
          required: true
          in: path
          schema:
            format: uuid
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/DnsRecordResponseDto'
        '404':
          description: Email channel not found
        default:
          description: ''
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/DnsRecordResponseDto'
components:
  schemas:
    DnsRecordResponseDto:
      type: object
      properties:
        id:
          type: string
        record_type:
          type: string
          enum:
            - cname
            - mx
            - txt
        host:
          type: string
        data:
          type: string
        valid:
          type: boolean
        purpose:
          type: string
          enum:
            - spf
            - dkim1
            - dkim2
            - inbound_mx
      required:
        - id
        - record_type
        - host
        - data
        - valid
        - purpose

````